Bug 487507 - Review Request: perl-Class-XSAccessor-Array - Generate fast XS accessors without runtime compilation
Review Request: perl-Class-XSAccessor-Array - Generate fast XS accessors with...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-26 08:30 EST by Marcela Mašláňová
Modified: 2009-03-06 01:47 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-06 01:47:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Marcela Mašláňová 2009-02-26 08:30:20 EST
Spec URL: http://mmaslano.fedorapeople.org/perl-Class-XSAccessor-Array/perl-Class-XSAccessor-Array.spec
SRPM URL: http://mmaslano.fedorapeople.org/perl-Class-XSAccessor-Array/perl-Class-XSAccessor-Array-0.14-1.fc10.src.rpm
Description: The module implements fast XS accessors both for getting at and setting an object attribute. Additionally, the module supports mutators and simple predicates (has_foo() like tests for definedness of an attributes). The
module works only with objects that are implemented as arrays. Using it on hash-based objects is bound to make your life miserable. Refer to 
Class::XSAccessor for an implementation that works with hash-based objects.
Comment 1 Parag AN(पराग) 2009-02-26 08:48:06 EST
package build failed.
koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1190374

Suggestions:
1) You don't need following in SPEC
Requires:       perl(AutoXS::Header) >= 0.02

2) Missing 
 BuildRequires:  perl(Test::More)
Comment 2 Marcela Mašláňová 2009-02-26 09:08:38 EST
(In reply to comment #1)
> package build failed.
> koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1190374
> 
> Suggestions:
> 1) You don't need following in SPEC
> Requires:       perl(AutoXS::Header) >= 0.02
> 
Did you mean BR? It fails without it.
http://koji.fedoraproject.org/koji/getfile?taskID=1190561&name=build.log
> 2) Missing 
>  BuildRequires:  perl(Test::More)
Added.

Thanks. New koji build could be found at:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1190611
Comment 3 Parag AN(पराग) 2009-02-27 01:30:01 EST
(In reply to comment #2)
> (In reply to comment #1)
> > package build failed.
> > koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1190374
> > 
> > Suggestions:
> > 1) You don't need following in SPEC
> > Requires:       perl(AutoXS::Header) >= 0.02
> > 

  I see this "Requires:" will get automatically installed via yum command. so thought not needed in SPEC. 

> Did you mean BR? It fails without it.
> http://koji.fedoraproject.org/koji/getfile?taskID=1190561&name=build.log
> > 2) Missing 
> >  BuildRequires:  perl(Test::More)
> Added.
> 
> Thanks. New koji build could be found at:
> http://koji.fedoraproject.org/koji/taskinfo?taskID=1190611

thanks but I am unable to download SRPM.
Comment 5 Parag AN(पराग) 2009-03-04 02:43:12 EST
Review:
+ package builds in mock (rawhide i386).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1219373
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
fe97bdfbfdcfb37260a270d0d8bd4b36  Class-XSAccessor-Array-0.14.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=6, Tests=63,  0 wallclock secs ( 0.02 usr  0.01 sys +  0.17 cusr  0.03 csys =  0.23 CPU)
+ Package perl-Class-XSAccessor-Array-0.14-2.fc11-i586 =>
  Provides: Array.so perl(Class::XSAccessor::Array) = 0.14
  Requires: libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1.3) perl >= 0:5.006 perl(Carp) perl(XSLoader) perl(strict) perl(warnings) rtld(GNU_HASH)

APPROVED.
Comment 6 Marcela Mašláňová 2009-03-04 03:00:56 EST
New Package CVS Request
=======================
Package Name: perl-Class-XSAccessor-Array
Short Description: Generate fast XS accessors without runtime compilation
Owners: mmaslano
Branches: devel
InitialCC: perl-sig
Comment 7 Kevin Fenzi 2009-03-05 15:37:28 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.